import _inheritsLoose from "@babel/runtime/helpers/inheritsLoose";
import { Component } from 'react';
import "./index.scss";
var ActivityRules = /*#__PURE__*/function (_Component) {
  _inheritsLoose(ActivityRules, _Component);
  function ActivityRules() {
    return _Component.apply(this, arguments) || this;
  }
  var _proto = ActivityRules.prototype;
  _proto.render = function render() {
    var rulesText = this.props.rulesText;
    var result = rulesText && rulesText.toString().split(/\n/g).filter(function (item) {
      return !!item;
    });
    return /*#__PURE__*/React.createElement("div", {
      className: "activity-rules"
    }, /*#__PURE__*/React.createElement("ul", null, result && result.length > 0 && result.map(function (item, index) {
      return /*#__PURE__*/React.createElement("li", {
        key: index
      }, item);
    })));
  };
  return ActivityRules;
}(Component);
export { ActivityRules as default };